# irrklang::IFileFactory Class Reference

Interface to overwrite file access in irrKlang. More...

`#include <ik_IFileFactory.h>`

Inheritance diagram for irrklang::IFileFactory:

List of all members.

## Public Member Functions
virtual | ~IFileFactory ()
virtual IFileReader * | createFileReader (const ik_c8 *filename)=0
| Opens a file for read access.

## Detailed Description

Interface to overwrite file access in irrKlang.

Derive your own class from IFileFactory, overwrite the createFileReader() method and return your own implemented IFileReader to overwrite file access of irrKlang. Use ISoundEngine::addFileFactory() to let irrKlang know about your class. Example code can be found in the tutorial 04.OverrideFileAccess.

## Constructor & Destructor Documentation

virtual irrklang::IFileFactory::~IFileFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual IFileReader* irrklang::IFileFactory::createFileReader | ( | const ik_c8 * | filename | ) | `[pure virtual]`

Opens a file for read access.

Derive your own class from IFileFactory, overwrite this method and return your own implemented IFileReader to overwrite file access of irrKlang. Use ISoundEngine::addFileFactory() to let irrKlang know about your class. Example code can be found in the tutorial 04.OverrideFileAccess.

Parameters:

  | filename | Name of file to open.

Returns:
  Returns a pointer to the created file interface. The returned pointer should be dropped when no longer needed. See IRefCounted::drop() for more information. Returns 0 if file cannot be opened.

The documentation for this class was generated from the following file:

- ik_IFileFactory.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)